diff --git a/patches/eowyn.sh b/patches/eowyn.sh
index f9e7479..f450c0e 100755
--- a/patches/eowyn.sh
+++ b/patches/eowyn.sh
@@ -28,15 +28,14 @@ do
     patch_name="patches/$true_name.patch"
 
 
-    if [[ -f $patch_name ]]
+    if [ -f $patch_name ]
     then
         # Apply the bandages to the wounds, grow new limbs, let
         # new life spring into the broken bodies of the fallen.
         echo Healing $true_name...
         patch --output=healed/$true_name.zig $broken $patch_name
     else
-        echo Cannot heal $true_name. Making empty patch.
-        echo > $patch_name
+        echo Cannot heal $true_name. No patch found.
     fi
 done
 
diff --git a/patches/gollum.sh b/patches/gollum.sh
index 6531044..b693083 100755
--- a/patches/gollum.sh
+++ b/patches/gollum.sh
@@ -14,8 +14,8 @@ p=patches/$f.patch
 
 printf "\tf: '$f'\n\tb: '$b'\n\ta: '$a'\n"
 
-if [[ ! -f $b ]]; then echo "We hates it!"; exit 1; fi
-if [[ ! -a $a ]]; then echo "Where is it? Where is the answer, precious?"; exit; fi
+if [ ! -f $b ]; then echo "We hates it!"; exit 1; fi
+if [ ! -f $a ]; then echo "Where is it? Where is the answer, precious?"; exit; fi
 
 echo Hisssss!